<?php

namespace EventPortal\Http\Controllers\Admin\EventSpeaker;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\EventSpeaker\Actions\AssociateToEvent;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class AssociateToEventController extends Controller
{
    public function __invoke(Request $request, Event $event, AssociateToEvent $action): RedirectResponse
    {
        $action->execute($event, $request->all());

        toast()->success(trans('event-speaker.added'));

        return redirect()->route('admin.event.speaker.index', $event);
    }
}
