<?php

namespace EventPortal\Tests\Feature\Admin\Speaker;

use EventPortal\Domain\Speaker\Models\Speaker;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Spatie\Snapshots\MatchesSnapshots;

class SpeakerEditTest extends TestCase
{
    use RefreshDatabase, MatchesSnapshots, SeedRolesAndPermissions;

    /** @test **/
    public function can_edit_speaker(): void
    {
        $speaker = factory(Speaker::class)->state('snapshot')->create();

        $this->assertMatchesJsonSnapshot(
            $this
                ->actingAsSuperAdmin()
                ->get(route('admin.speaker.edit', $speaker->id))
                ->props()
        );
    }
}
